Debian Bug report logs - #93894
O: lshell -- Enforce limits to protect system integrity.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Fri, 13 Apr 2001 23:03:01 UTC

Severity: normal

Merged with 68311, 68312, 68594, 68638, 80357, 80924, 83344, 88383, 88385, 88986, 89582, 89957, 90313, 106989, 109219, 112187, 115468, 117543, 117821, 119289, 123495, 123520, 126199, 129585, 130150, 134535, 135465, 136813, 140997, 140998, 141006, 170300

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: O: lshell -- Enforce limits to protect system integrity.
Date: Fri, 13 Apr 2001 23:51:58 +0100
Package: wnpp
Severity: normal

The current maintainer of lshell, Heiko Schlittermann
<heiko@lotte.sax.de>, is apparently not active anymore.  Therefore, I
orphan this package now.  If you want to be the new maintainer, please
take it -- retitle this bug from 'O:' to 'ITA:', fix the outstanding
bugs and upload a new version with your name in the Maintainer: field
and a

   * New maintainer (Closes: #thisbug)

in the changelog so this bug is closed.

Some information about this package:

Package: lshell
Priority: extra
Section: admin
Installed-Size: 30
Maintainer: Heiko Schlittermann <heiko@lotte.sax.de>
Architecture: i386
Version: 2.01-9
Depends: libc6
Filename: dists/potato/main/binary-i386/admin/lshell_2.01-9.deb
Size: 7900
MD5sum: 82dcb7a64053da3da8219f7882742336
Description: Enforce limits to protect system integrity.
 This program enforces resource quotas stored in a configuration file. It is
 easier and more secure that writing a shell script in /etc/profile and
 trying to compare user names in hard-coded if/else type trees.



-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Oohara Yuuma <oohara@libra.interq.or.jp>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 93894@bugs.debian.org (full text, mbox):

From: Oohara Yuuma <oohara@libra.interq.or.jp>
To: 93894@bugs.debian.org
Cc: oohara@libra.interq.or.jp
Subject: lshell sucks, should be removed
Date: Sat, 19 Jan 2002 12:45:13 +0900 (JST)
I found lshell (orphaned, #93894) is just too braindead.
Its description says:
> Description: Enforce limits to protect system integrity.
>  This program enforces resource quotas stored in a configuration file. It is
>  easier and more secure that writing a shell script in /etc/profile and
>  trying to compare user names in hard-coded if/else type trees.
It is a simple C program that does basically the following:
#!/usr/bin/perl
# BEGIN BIG ASSUMPTIONS
# * The absolute path of the login shell has exactly one occurrence of
#   the string "/lshells".
# * The directory which contains the binary file of the shell S a user want
#   to use has a directory D such that:
#   - D is named "lshells"
#   - D have a symlink L to /usr/bin/lshell, the binary file of lshell
#   - L and S have the same name
#   For example:
#     /bin/sh (S)
#     /bin/lshells/ (D)
#     /bin/lshells/sh -> /usr/bin/lshell (L)
# * The login shell defined in /etc/passwd must be an appropriate symlink L
#   that is mentioned above (of course, it must be one of the files listed
#   in /etc/shells)
# END BIG ASSUMPTIONS
$shell = $ENV{SHELL};
$shell =~ s:/lshells::;
&set_limit();
!system($shell) || print STDERR "falling back to sh\n";
system("/bin/sh");

This means that a user must have /bin/lshells/ or /usr/bin/lshells/ to use
lshell.  It is ugly.  In fact, the .deb comes with /bin/lshells/ and
/usr/bin/lshells/!  It also has a postinst script which creates the
necessary symlinks and asks the user if it may do a massive chsh for all
non-system users (that is, uid > 99) and then modify /etc/shells (a conffile
of the package "passwd").

lshell needs lots of hack (or a complete rewrite) to follow the FHS.
If a sysadmin wants to set a resource limit now, s/he can use
the pam_limits PAM module.  Therefore I think lshell should be removed
from the Debian archive.

I am not a Debian developer.  Can I file a bug against ftp.debian.org?

--
Oohara Yuuma <oohara@libra.interq.or.jp>
Graduate-school of Science, Kyoto University
PGP key (key ID F464A695) http://www.interq.or.jp/libra/oohara/pub-key.txt
Key fingerprint = 6142 8D07 9C5B 159B C170  1F4A 40D6 F42E F464 A695

I always put away what I take.
--- Ryuji Akai, "Star away"




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Oohara Yuuma <oohara@libra.interq.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #15 received at 93894@bugs.debian.org (full text, mbox):

From: Oohara Yuuma <oohara@libra.interq.or.jp>
To: 93894@bugs.debian.org
Cc: debian-devel@lists.debian.org, oohara@libra.interq.or.jp
Subject: Re: Bug#93894: lshell sucks, should be removed
Date: Sat, 19 Jan 2002 13:27:04 +0900 (JST)
On Sat, 19 Jan 2002 12:45:13 +0900 (JST),
Oohara Yuuma <oohara@libra.interq.or.jp> wrote:
> !system($shell) || print STDERR "falling back to sh\n";
> system("/bin/sh");
s/system/exec/

--
Oohara Yuuma <oohara@libra.interq.or.jp>
Graduate-school of Science, Kyoto University
PGP key (key ID F464A695) http://www.interq.or.jp/libra/oohara/pub-key.txt
Key fingerprint = 6142 8D07 9C5B 159B C170  1F4A 40D6 F42E F464 A695

I always put away what I take.
--- Ryuji Akai, "Star away"



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 93894@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Oohara Yuuma <oohara@libra.interq.or.jp>, 93894@bugs.debian.org
Cc: 93894@bugs.debian.org,debian-devel@lists.debian.org
Subject: Re: Bug#93894: lshell sucks, should be removed
Date: Sat, 19 Jan 2002 13:45:16 +0900
Oohara Yuuma <oohara@libra.interq.or.jp> cum veritate scripsit:

> I found lshell (orphaned, #93894) is just too braindead.

Please file several bug reports (serious/whatever) to lshell
regarding the bugs.

It can stay in unstable if anyone cares,
it will be removed if no one takes up ever.

There are only two bugs filed against lshell, and 
if you think lshell really sucks and has problems, 
please feel free to file the bugs.

Especially, "serious" bugs, if you find that 
the package is violating some policy, and 
"grave" if it breaks other packages.
etc.

I have a feeling that this package is being used by so few people that
it is not receiving any bugs.
It might be otherwise, and these bugs may get fixed.


> This means that a user must have /bin/lshells/ or /usr/bin/lshells/ to use
> lshell.  It is ugly.  In fact, the .deb comes with /bin/lshells/ and
> /usr/bin/lshells/!  It also has a postinst script which creates the
> necessary symlinks and asks the user if it may do a massive chsh for all
> non-system users (that is, uid > 99) and then modify /etc/shells (a conffile
> of the package "passwd").
> 
> lshell needs lots of hack (or a complete rewrite) to follow the FHS.
> If a sysadmin wants to set a resource limit now, s/he can use
> the pam_limits PAM module.  Therefore I think lshell should be removed
> from the Debian archive.

However, just using /usr/lib/lshells/bin
might be an option.

Not a complete rewrite is necessary for FHS compliance,
this is my impression after reading your comments, not by 
reading the code.

"chsh" is of course necessary for any non-default shell...
If you think the postinst is broken, file a bugreport as well...


regards,
	junichi
-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Oohara Yuuma <oohara@libra.interq.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 93894@bugs.debian.org (full text, mbox):

From: Oohara Yuuma <oohara@libra.interq.or.jp>
To: 93894@bugs.debian.org
Cc: debian-devel@lists.debian.org, oohara@libra.interq.or.jp
Subject: Re: Bug#93894: lshell sucks, should be removed
Date: Sun, 20 Jan 2002 01:57:27 +0900 (JST)
On Sat, 19 Jan 2002 13:45:16 +0900,
Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> Oohara Yuuma <oohara@libra.interq.or.jp> cum veritate scripsit:
> 
> > I found lshell (orphaned, #93894) is just too braindead.
> 
> Please file several bug reports (serious/whatever) to lshell
> regarding the bugs.
done (#129950, #129951, #129952)

> It can stay in unstable if anyone cares,
I care.
Can I file a bug against ftp.debian.org?

--
Oohara Yuuma <oohara@libra.interq.or.jp>
Graduate-school of Science, Kyoto University
PGP key (key ID F464A695) http://www.interq.or.jp/libra/oohara/pub-key.txt
Key fingerprint = 6142 8D07 9C5B 159B C170  1F4A 40D6 F42E F464 A695

I always put away what I take.
--- Ryuji Akai, "Star away"



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@galacticasoftware.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 93894@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@galacticasoftware.com>
To: Oohara Yuuma <oohara@libra.interq.or.jp>
Cc: 93894@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#93894: lshell sucks, should be removed
Date: Sun, 20 Jan 2002 00:52:07 -0600
On Sun, Jan 20, 2002 at 01:57:27AM +0900, Oohara Yuuma wrote:
> On Sat, 19 Jan 2002 13:45:16 +0900,
> Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> > Oohara Yuuma <oohara@libra.interq.or.jp> cum veritate scripsit:
> > 
> > > I found lshell (orphaned, #93894) is just too braindead.
> > 
> > Please file several bug reports (serious/whatever) to lshell
> > regarding the bugs.
> done (#129950, #129951, #129952)
> 
> > It can stay in unstable if anyone cares,
> I care.
> Can I file a bug against ftp.debian.org?

I care too - unstable should not be polluted by crap just because
it is unstable. It makes the entire system bloated with crap. If 
package sucks bad, it should be removed - it can always be put
back in with ITP once it doesn't suck as much but in this
case I doubt that will ever happen....


IMHO, anyone can file a bug so go ahead and file the bug against
ftp.d.o... After all, it is the users that Debian is all about
and not about packages.

- Adam



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 93894@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Oohara Yuuma <oohara@libra.interq.or.jp>
Cc: 93894@bugs.debian.org, <debian-devel@lists.debian.org>
Subject: Re: Bug#93894: lshell sucks, should be removed
Date: Sun, 20 Jan 2002 15:04:01 +0100 (CET)
On Sun, 20 Jan 2002, Oohara Yuuma wrote:

> On Sat, 19 Jan 2002 13:45:16 +0900,
> Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> > Oohara Yuuma <oohara@libra.interq.or.jp> cum veritate scripsit:
> >
> > > I found lshell (orphaned, #93894) is just too braindead.
> >
> > Please file several bug reports (serious/whatever) to lshell
> > regarding the bugs.
> done (#129950, #129951, #129952)
>
> > It can stay in unstable if anyone cares,
> I care.
> Can I file a bug against ftp.debian.org?

Stop!

You misunderstood the intention behind the filing of the bugs. Let us wait
whether someone considers it worth enough to fix at least the RC bug (and
if it won't get fixed lshell won't be in the next stable release of
Debian).

BTW: According to the Popularity Contest [1] at about 1% of our users are
     using lshell.

cu
Adrian

[1] http://people.debian.org/~apenwarr/popcon/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 93894@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Adam Majer <adamm@galacticasoftware.com>
Cc: Oohara Yuuma <oohara@libra.interq.or.jp>, <93894@bugs.debian.org>, <debian-devel@lists.debian.org>
Subject: Re: Bug#93894: lshell sucks, should be removed
Date: Sun, 20 Jan 2002 15:11:47 +0100 (CET)
On Sun, 20 Jan 2002, Adam Majer wrote:

>...
> IMHO, anyone can file a bug so go ahead and file the bug against
> ftp.d.o... After all, it is the users that Debian is all about
> and not about packages.

According to the Popularity Contest [1] at about 1% of our users use
lshell...

> - Adam

cu
Adrian

[1] http://people.debian.org/~apenwarr/popcon/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Oohara Yuuma <oohara@libra.interq.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 93894@bugs.debian.org (full text, mbox):

From: Oohara Yuuma <oohara@libra.interq.or.jp>
To: 93894@bugs.debian.org
Cc: debian-devel@lists.debian.org, oohara@libra.interq.or.jp
Subject: Re: Bug#93894: lshell sucks, should be removed
Date: Mon, 21 Jan 2002 00:09:33 +0900 (JST)
On Sun, 20 Jan 2002 15:04:01 +0100 (CET),
Adrian Bunk <bunk@fs.tum.de> wrote:
> > > It can stay in unstable if anyone cares,
> > I care.
> > Can I file a bug against ftp.debian.org?
> Stop!
OK, I will wait till the bugs are fixed or lshell is dropped from
the woody release.

Another question: will lshell stay in unstable if it is dropped
from the woody release?

By the way, the Policy (version 3.5.6.0, section 2.1.2) says:
| In addition, the packages in main
| * must not be so buggy that we refuse to support them, and
Please support lshell as long as it is in main.

--
Oohara Yuuma <oohara@libra.interq.or.jp>
Graduate-school of Science, Kyoto University
PGP key (key ID F464A695) http://www.interq.or.jp/libra/oohara/pub-key.txt
Key fingerprint = 6142 8D07 9C5B 159B C170  1F4A 40D6 F42E F464 A695

I always put away what I take.
--- Ryuji Akai, "Star away"



Changed Bug title. Request was from "Jose M. Gómez" <jmgomez@el-mundo.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#93894; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #52 received at 93894@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: jmgomez@el-mundo.net
Cc: 93894@bugs.debian.org
Subject: Re: ITA: lshell -- Enforce limits to protect system integrity.
Date: 10 Oct 2002 03:55:46 +0200
On Mon, May 13, 2002 at 01:43:27PM +0200, Jose M. Gómez wrote:
> retitle 93894 ITA: lshell -- Enforce limits to protect system integrity.
> 
> I'm not yet a Debian Developer, but my sponsor (rcardenes@debian.org)
> will upload this package for me.

Do you still intend to adopt this?

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68638 88986 89582 93894 112187 115468 117543 123495 123520 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68638 88986 89582 93894 109219 112187 115468 117543 123495 123520 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68638 88986 89582 89957 93894 109219 112187 115468 117543 123495 123520 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68638 80924 88986 89582 89957 93894 109219 112187 115468 117543 123495 123520 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68638 80924 88383 88986 89582 89957 93894 109219 112187 115468 117543 123495 123520 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 88383 88986 89582 89957 93894 109219 112187 115468 117543 123495 123520 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88986 89582 89957 93894 109219 112187 115468 117543 123495 123520 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88986 89582 89957 93894 109219 112187 115468 117543 123495 123520 126199 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88385 88986 89582 89957 93894 109219 112187 115468 117543 123495 123520 126199 130150 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88385 88986 89582 89957 93894 109219 112187 115468 117543 123495 123520 126199 130150 135465 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88385 88986 89582 89957 90313 93894 109219 112187 115468 117543 123495 123520 126199 130150 135465 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88385 88986 89582 89957 90313 93894 109219 112187 115468 117543 119289 123495 123520 126199 130150 135465 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88385 88986 89582 89957 90313 93894 109219 112187 115468 117543 119289 123495 123520 126199 130150 134535 135465 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88385 88986 89582 89957 90313 93894 109219 112187 115468 117543 119289 123495 123520 126199 129585 130150 134535 135465 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88385 88986 89582 89957 90313 93894 109219 112187 115468 117543 117821 119289 123495 123520 126199 129585 130150 134535 135465 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80924 83344 88383 88385 88986 89582 89957 90313 93894 106989 109219 112187 115468 117543 117821 119289 123495 123520 126199 129585 130150 134535 135465 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 68311 68312 68594 68638 80357 80924 83344 88383 88385 88986 89582 89957 90313 93894 106989 109219 112187 115468 117543 117821 119289 123495 123520 126199 129585 130150 134535 135465 136813 140997 140998 141006 170300. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #93 received at 88986-done@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 88986-done@bugs.debian.org
Subject: [tbm@cyrius.com: Re: Upcoming removal of orphaned packages]
Date: Sat, 10 May 2003 15:16:51 +1000
This package has been removed from Debian so I'm closing the WNPP bug.


----- Forwarded message from Martin Michlmayr <tbm@cyrius.com> -----

From: Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Upcoming removal of orphaned packages
Date: Sat, 10 May 2003 15:00:48 +1000
To: debian-devel@lists.debian.org
User-Agent: Mutt/1.4i

As an update to my d-d-a posting from a few weeks ago, the following
packages were removed a while ago:

chpp -- a powerful and simple preprocessor [#88986]
doc-linux-zh-text -- Linux HOWTO in Chinese [#130150]
dot-forward -- .forward compatibility for qmail [#68638]
dstooltk -- dynamical systems investigation (Tk version) [#68311]
dstooltk-doc -- dynamical systems investigation (Tk version) [#68312]
emacs-dl-canna -- Canna DL module for emacs20-dl [#140997]
emacs-dl-wnn -- Wnn DL module for emacs20-dl [#140998]
emacs20-dl -- The GNU Emacs editor. (Dynamic Loading supported) [#141006]
ezmanage -- Manage multiple ezmlm mailing lists [#115468]
flick -- Flexible IDL Compiler Kit [#123495]
freetds-jdbc -- Pure Java JDBC driver for MS SQL and Sybase [#117543]
icqlib -- icq library implementation [#89582]
ines -- Emulator for the NES/Famicom/Dandy game system [#136813]
jikespg -- Jikes Parser Generator [#123520]
libcomprex -- GNUpdate Multi-purpose compression library [#170300]
linuxconf -- a powerful Linux administration kit [#112187]
lshell -- Enforce limits to protect system integrity. [#93894]
moxftp -- Athena X interface to ftp [#109219]
mpsql -- A graphical frontend for PostgreSQL [#89957]
mserver -- Network Modem Server [#80924]
peruser -- Suite for offline reading and composing of Usenet articles [#88383]
psptools -- Tools for PostScript printers and devices [#68594]
rrlogind -- Login daemon for the Road Runner Cable Modem Service [#83344]
tclx8.0.4 -- Extended Tcl (TclX) version 8.0.4 -- runtime package [#126199]
tkmail -- X Window System mail reader using Tcl/Tk [#88385]
ts -- Yet another TeXShell for Linux [#135465]
tya -- JIT-compiler for Java [#90313]
wemi -- Branch of SEMI kernel package using widget. [#119289]
wmppxp -- PPxP console for Window Maker dock [#134535]
xcoral -- Extensible mouse-based text editor for X [#129585]
xmbase-grok -- Graphical Resource Organizer Kit [#117821]
xtoolplaces -- Save current desktop state [#106989]
youbin -- The conventional mail arrival notification server. [#80357]

-- 
Martin Michlmayr
tbm@cyrius.com

----- End forwarded message -----

-- 
Martin Michlmayr
tbm@cyrius.com



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:11:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.